Get Vending Categories
curl --request GET \
--url https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/categories \
--header 'secretKey: <api-key>'import requests
url = "https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/categories"
headers = {"secretKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {secretKey: '<api-key>'}};
fetch('https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"secretKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/categories"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("secretKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/categories")
.header("secretKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/categories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["secretKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "00",
"message": "Success",
"data": [
{
"id": 1,
"name": "Electricity",
"code": "electricity",
"description": "Power DisCos"
},
{
"id": 2,
"name": "Airtime & Data",
"code": "airtime",
"description": "Mobile recharge"
},
{
"id": 3,
"name": "Cable TV",
"code": "cable_tv",
"description": "Pay TV"
}
]
}Remita VAS Vending
Get Vending Categories
Retrieve all root Value Added Services (VAS) and vending categories available on the gateway.
GET
/
vending
/
categories
Get Vending Categories
curl --request GET \
--url https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/categories \
--header 'secretKey: <api-key>'import requests
url = "https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/categories"
headers = {"secretKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {secretKey: '<api-key>'}};
fetch('https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"secretKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/categories"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("secretKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/categories")
.header("secretKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/categories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["secretKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "00",
"message": "Success",
"data": [
{
"id": 1,
"name": "Electricity",
"code": "electricity",
"description": "Power DisCos"
},
{
"id": 2,
"name": "Airtime & Data",
"code": "airtime",
"description": "Mobile recharge"
},
{
"id": 3,
"name": "Cable TV",
"code": "cable_tv",
"description": "Pay TV"
}
]
}Retrieve the full list of top-level VAS service categories supported by the Remita SystemSpecs gateway (Electricity, Airtime, Internet Data, Cable TV, Education, and Transportation).
Response Schema
The response returns adata.items array containing each category’s id, name, code, and description.
{
"message": "successful",
"status": "00",
"data": {
"totalPage": 1,
"totalContent": 6,
"items": [
{
"id": 1,
"name": "electricity",
"description": "electricity",
"code": "electricity"
},
{
"id": 2,
"name": "Airtime",
"description": "Airtime",
"code": "airtime"
},
{
"id": 3,
"name": "Internet Data Subscription",
"description": "Internet Data Subscription",
"code": "internet_data_subscription"
},
{
"id": 4,
"name": "Cable TV",
"description": "Cable TV",
"code": "cable_tv"
},
{
"id": 5,
"name": "Educations",
"description": "Educations",
"code": "educations"
},
{
"id": 6,
"name": "Transportation",
"description": "Transportation",
"code": "transportation"
}
]
}
}